Bug 983406 - Productized page title is "KIE workbench" but should be "Business central"
Productized page title is "KIE workbench" but should be "Business central"
Status: CLOSED CURRENTRELEASE
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.0.0
Unspecified Unspecified
medium Severity low
: ER5
: 6.0.0
Assigned To: Juanma
Jan Hrcek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-11 03:15 EDT by Jan Hrcek
Modified: 2014-10-30 18:33 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:16:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Incorrect page title (952.80 KB, image/png)
2013-07-11 03:15 EDT, Jan Hrcek
no flags Details
Current BPMS page (296.86 KB, image/png)
2013-10-17 06:46 EDT, Pedro Zapata
no flags Details

  None (edit)
Description Jan Hrcek 2013-07-11 03:15:49 EDT
Created attachment 772050 [details]
Incorrect page title

Description of problem:
The title of all the pages in business central is "KIE Workbench" as in the project, but should be "Business central" or similar, to be consistent with the product naming. (see sreenshot attached)

Version-Release number of selected component (if applicable):
6.0.0.DR6
Comment 1 Lukáš Petrovický 2013-07-28 13:27:38 EDT
Changing to BRMS, since this affects both platforms. Also, the titles should contain the product name in either.
Comment 3 Juanma 2013-09-06 07:03:30 EDT
For to change the title of pages, we should modify the tag title in the next files:

kie-wb-distributions/kie-drools-wb/kie-drools-wb-webapp/src/main/resources/app.html.template

...<title>KIE Drools Workbench</title>...



kie-wb-distributions/kie-wb/kie-wb-webapp/src/main/resources/app.html.template

...<title>KIE Workbench</title>...
Comment 4 Pedro Zapata 2013-09-16 12:01:55 EDT
Confirm this fix has been pushed, if not create pull request
Comment 5 Juanma 2013-09-16 12:26:32 EDT
I checked and the corrections are made.
Comment 9 Jan Hrcek 2013-10-16 23:00:20 EDT
I confirm, that the page title in the product has been changed to 'Red Hat Jboss BPM Suite :: Business central' and hereby verify this bug against BPMS 6.0.0 ER4
Comment 10 Jan Hrcek 2013-10-17 01:38:10 EDT
I forgot to add, that also the page title for BRMS has been fixed to the required 'Red Hat Jboss BRMS :: Business central' so it's verified in both products.
Comment 11 Jan Hrcek 2013-10-17 04:38:40 EDT
I'm sorry for premature verification, but I made an oversight.
The correct names for the respective products should be:

'Red Hat JBoss BPM Suite :: Business central'
and
'Red Hat JBoss BRMS :: Business central'


In case you can't see the difference, the issue with ER4 is with the lowercase letter 'b' in the work Jboss -> it should be changed to JBoss with uppercase 'B'.
Comment 12 Pedro Zapata 2013-10-17 06:45:40 EDT
We cannot see any problem with the title in ER4 (see attached screenshot). Can you please clarify with an screenshot what exactly needs to be changed?

We have realized however that the titles in login screen should be updated as well, but it's not the issue reported above.

- KIE-WB - Login screen: Update title to 'Red Hat JBoss BPM Suite :: Business central'

- Drools-WB - Login screen: Update title to 'Red Hat JBoss BRMS :: Business central'

- Dashbuilder - Update login title to 'Red Hat JBoss BPM Suite :: Business central'
Comment 13 Pedro Zapata 2013-10-17 06:46:33 EDT
Created attachment 813262 [details]
Current BPMS page

Notice the title is right
Comment 14 Jan Hrcek 2013-10-17 07:28:27 EDT
Yes,Pedro, you're right. I'm really sorry, it was my mistake - I introduced the typo into my verification comment and then my supervisor pointed this out to me based on my comment. I reopened this issue without double-checking the application.

The title of page in both B[PR]MS ER4 is correct after all - setting status to verified.
Comment 15 Juanma 2013-10-17 09:10:01 EDT
Changed titles in login screens:

kie-wb-distributions (branding.2013.09.27): https://github.com/jboss-integration/kie-wb-distributions/commit/eba11529c0d9ab5b5e1b9e010e308685e6c547f9

dashboard-builder (branding.2013.09.27): https://github.com/jboss-integration/dashboard-builder/commit/58398b209f34dca6c03f72c79e8a19f3eab30f9f
Comment 16 Jan Hrcek 2013-12-04 01:53:31 EST
Ok, verified with both BRMS and BPMS products version 6.0.0 ER5

Note You need to log in before you can comment on or make changes to this bug.